---
title: CSS.paintWorklet (Static property)
slug: Web/API/CSS/paintWorklet
tags:
  - API
  - CSS
  - CSS Paint API
  - Experimental
  - Houdini
  - Painting
  - Property
  - Reference
  - Worklet
  - paintWorklet
---
<p>{{APIRef("CSSOM")}}{{Draft}}{{SeeCompatTable}}{{SecureContext_Header}}</p>

<p><span class="seoSummary"><strong><code>paintWorklet</code></strong> is a static, read-only property of the {{DOMxRef("CSS")}} interface that provides access to the {{DOMxRef("PaintWorklet")}}, which programmatically generates an image where a CSS property expects a file.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>worklet</em> = CSS.paintWorklet;</pre>

<h3 id="Value">Value</h3>

<p>The {{DOMxRef('PaintWorklet')}} object.</p>

<h2 id="Examples">Examples</h2>

<p>The following example demonstrates loading a {{DOMxRef('PaintWorklet')}} from its js file and does so by feature detection. </p>

<pre class="brush: js">&lt;script&gt;
  if ('paintWorklet' in CSS) {
    CSS.paintWorklet.addModule('checkerboard.js');
  }
&lt;/script&gt;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Painting API','#dom-css-paintworklet','paintWorklet')}}</td>
   <td>{{Spec2('CSS Painting API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSS.paintWorklet")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/CSS_Painting_API">CSS Painting API</a></li>
 <li><a href="/en-US/docs/Web/Houdini">Houdini APIs</a></li>
 <li><a href="/en-US/docs/Web/Houdini/learn">Houdini overview</a></li>
</ul>
